
package ru.other.company.card.service.provider.xml;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *                     Подтип карты: Дисконтная карта
 *                 
 * 
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "discount-cardType", propOrder = {
    "holder",
    "bonusBalance",
    "tokensBalance",
    "promoText"
})
public class XmlExampleDiscountCard
    extends XmlExampleAbstractCard
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    protected XmlExampleClient holder;
    @XmlElement(name = "available-bonuses", defaultValue = "0.0")
    protected BigDecimal bonusBalance;
    @XmlElement(name = "available-tokens")
    protected Long tokensBalance;
    @XmlElement(name = "promo-text")
    protected String promoText;
    @XmlAttribute(name = "nfc-token")
    protected String nfcToken;

    /**
     * 
     *                         Держатель карты
     *                     
     * 
     * @return
     *     possible object is
     *     {@link XmlExampleClient }
     *     
     */
    public XmlExampleClient getHolder() {
        return holder;
    }

    /**
     * Sets the value of the holder property.
     * 
     * @param value
     *     allowed object is
     *     {@link XmlExampleClient }
     *     
     */
    public void setHolder(XmlExampleClient value) {
        this.holder = value;
    }

    /**
     * 
     *                         Количество доступных бонусов, в "рублях"
     *                     
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getBonusBalance() {
        return bonusBalance;
    }

    /**
     * Sets the value of the bonusBalance property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setBonusBalance(BigDecimal value) {
        this.bonusBalance = value;
    }

    /**
     * 
     *                         Количество доступных фишек
     *                     
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTokensBalance() {
        return tokensBalance;
    }

    /**
     * Sets the value of the tokensBalance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTokensBalance(Long value) {
        this.tokensBalance = value;
    }

    /**
     * 
     *                         Промо-текст
     *                     
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPromoText() {
        return promoText;
    }

    /**
     * Sets the value of the promoText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPromoText(String value) {
        this.promoText = value;
    }

    /**
     * 
     *                         NFC-метка этой карты
     *                     
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNfcToken() {
        return nfcToken;
    }

    /**
     * Sets the value of the nfcToken property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNfcToken(String value) {
        this.nfcToken = value;
    }

}
