package ru.crystals.pos.api.card;

import ru.crystals.pos.spi.receipt.CardCategory;

import java.util.Objects;

/**
 * Сущность, описывающая категорию карты/купона.
 */
public class CardCategoryEntity implements CardCategory {

    private Long guid;

    private String name;

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link CardCategory}.
     */
    public CardCategoryEntity() {
        super();
    }

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link CardCategory}.
     * @param guid идентификатор категории
     */
    public CardCategoryEntity(Long guid) {
        this.guid = guid;
    }

    public CardCategoryEntity(Long guid, String name) {
        this.guid = guid;
        this.name = name;
    }

    @Override
    public Long getGuid() {
        return guid;
    }

    /**
     * Установить идентификатор категории.
     * @param guid идентификатор категории
     */
    public void setGuid(Long guid) {
        this.guid = guid;
    }

    @Override
    public String getName() {
        return name;
    }

    /**
     * Установить имя категории.
     * @param name имя категории
     */
    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CardCategoryEntity that = (CardCategoryEntity) o;
        return Objects.equals(guid, that.guid);
    }

    @Override
    public int hashCode() {
        return Objects.hash(guid);
    }

    @Override
    public String toString() {
        return "CardCategoryEntity{" +
                "guid=" + guid +
                ", name='" + name + '\'' +
                '}';
    }
}
