package ru.crystals.pos.api.plugin;

import ru.crystals.pos.api.plugin.function.FunctionEnableResult;
import ru.crystals.pos.spi.plugin.function.FunctionRequest;
import ru.crystals.pos.spi.receipt.Receipt;

import java.util.Optional;

/**
 * Интерфейс функционального плагина (плагин-функция)
 */
public interface FunctionPlugin {

    /**
     * Вызов плагина
     * @param request необходимые данные и реализация callback интерфейса
     */
    void execute(FunctionRequest request);

    /**
     * Проверяем доступность
     * @param receipt текущий чек, если есть и доступен
     * @return результат проверки {@link FunctionEnableResult}
     */
    default FunctionEnableResult enabled(Optional<Receipt> receipt) {
        return new FunctionEnableResult();
    }
}
