package ru.crystals.pos.api.plugin.asset;

import ru.crystals.pos.spi.receipt.Receipt;

import java.util.Optional;

/**
 * Критерии HTML-фрагмента. На основании данного объекта плагин должен определить, какие HTML-фрагменты подходят под выборку.
 */
public interface HtmlAssetCriteria {

    /**
     * Способ использования HTML-фрагмента.
     */
    HtmlAssetUsage getUsage();

    /**
     * Текущий рассчитываемый на кассе чек.
     *
     * @return текущий чек. Значение может отсутствовать, если чек еще не открыт.
     */
    Optional<Receipt> getReceipt();

}
