package ru.crystals.pos.api.plugin.card;

import java.util.ArrayList;
import java.util.List;

/**
 * Отклик на запрос валидации карты.
 * @since 0.0.75
 */
public class CardValidationResponse {
    /**
     * Флаг, разрешающий/запрещающий добавление карты в чек.
     * Если хотя бы один из плагинов передал здесь false, карта не будет добавлена.
     */
    private boolean operationAllowed = true;

    /**
     * Сообщения кассиру в случае запрета добавления карты
     */
    private List<String> cashierMessages;

    public CardValidationResponse() {
    }

    public CardValidationResponse(boolean operationAllowed, List<String> cashierMessages) {
        this.operationAllowed = operationAllowed;
        this.cashierMessages = cashierMessages;
    }

    public boolean isOperationAllowed() {
        return operationAllowed;
    }

    public void setOperationAllowed(boolean operationAllowed) {
        this.operationAllowed = operationAllowed;
    }

    public List<String> getCashierMessages() {
        if (cashierMessages == null) {
            cashierMessages = new ArrayList<>();
        }
        return cashierMessages;
    }

    @Override
    public String toString() {
        return "CardValidationResponse{" +
                "valid=" + operationAllowed +
                ", cashierMessages=" + cashierMessages +
                '}';
    }
}
