package ru.crystals.pos.api.plugin.function.dto;

/**
 * Типы оплаты
 */
public enum PaymentType {
    /**
     * Наличные
     */
    CASH("CashPaymentEntity"),
    /**
     * Банковская карта
     */
    BANK_CARD("BankCardPaymentEntity"),
    /**
     * Потребительский кредит
     */
    CREDIT("ConsumerCreditPaymentEntity"),
    /**
     * Оплата внешним банковским терминалом
     */
    EXTERNAL_BANK_TERMINAL("ExternalBankTerminalPaymentEntity");

    /**
     * Идентификатор базового типа оплаты на кассе
     */
    private final String typeId;

    PaymentType(String typeId) {
        this.typeId = typeId;
    }

    public String getTypeId() {
        return typeId;
    }
}
