package ru.crystals.pos.api.plugin.function.dto;

import java.math.BigDecimal;

/**
 * Товар в {@link Position}
 */
public class Product {

    /**
     * Наименование
     */
    private String name;

    /**
     * Артикул
     */
    private String item;

    /**
     * Штрихкод товара
     */
    private String barcode;

    /**
     * Цена
     */
    private BigDecimal price;

    /**
     * Единица измерения
     */
    private String unitOfMeasure;

    /**
     * Код единицы измерения по ОКЕИ (Общероссийский классификатор единиц измерения)
     *
     * @since 0.0.102
     */
    private String rcumCode;

    /**
     * Мерность
     */
    private double precision;

    /**
     * Ставка НДС в %
     */
    private Float vatRate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getUnitOfMeasure() {
        return unitOfMeasure;
    }

    public void setUnitOfMeasure(String unitOfMeasure) {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getRcumCode() {
        return rcumCode;
    }

    public void setRcumCode(String rcumCode) {
        this.rcumCode = rcumCode;
    }

    public double getPrecision() {
        return precision;
    }

    public void setPrecision(double precision) {
        this.precision = precision;
    }

    public Float getVatRate() {
        return vatRate;
    }

    public void setVatRate(Float vatRate) {
        this.vatRate = vatRate;
    }
}
