package ru.crystals.pos.api.plugin.techprocess;

/**
 * Определяет часть тех. процесса, в которой произошла передача управления плагину.
 */
public enum InterceptedStage {

    /**
     * Закончен расчет скидок.
     */
    CALCULATION_COMPLETE,

    /**
     * Перед фискализацией
     */
    BEFORE_FISCALIZE,

    /**
     * После фискализации
     */
    AFTER_FISCALIZE,

    /**
     * Отмена расчета скидок (в т.ч. при аннулировании чека)
     */
    DISCOUNT_CANCELLED,

    /**
     * Старт расчета чека (вызывается после валидации чека на подытоге, но до расчета скидок и разделения)
     */
    SUBTOTAL_START,

    /**
     * Отмена расчета чека (вызывается при переходе в состояние добавления товара или при повторном расчете чека)
     */
    SUBTOTAL_CANCELED,

    /**
     * Найден продукт для продажи
     */
    PRODUCT_FOUND_FOR_SALE

}
