package ru.crystals.pos.spi.actions;

import ru.crystals.pos.spi.Action;
import ru.crystals.pos.spi.plugin.card.CardSearchRequest;

/**
 * Добавление карты в чек.
 * */
public class AddCardAction implements Action {
    /**
     * Запрос на поиск карты, которую следует добавить к чеку.
     * */
    private CardSearchRequest cardSearchRequest;

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link AddCardAction}.
     * @param request запрос на поиск карты, который привёл к образованию этого действия при добавлении карты в чек.
     */
    public AddCardAction(CardSearchRequest request) {
        this.cardSearchRequest = request;
    }

    /**
     * Возвращает запрос на поиск карты, который привёл к образованию данного действия.
     * @return запрос на поиск карты, который привёл к образованию данного действия.
     */
    public CardSearchRequest getCardSearchRequest() {
        return cardSearchRequest;
    }

    /**
     * Устанавливает запрос на поиск карты, который привёл к образованию данного действия.
     * @param cardSearchRequest запрос на поиск карты, который привёл к образованию данного действия.
     */
    public void setCardSearchRequest(CardSearchRequest cardSearchRequest) {
        this.cardSearchRequest = cardSearchRequest;
    }

    @Override
    public String toString() {
        return "AddCardAction{" +
                "cardSearchRequest=" + cardSearchRequest +
                '}';
    }
}
