package ru.crystals.pos.spi.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Данной аннотацией помечаются поля, являющиеся слушателями кассовых событий. Такие поля должны реализовывать
 * один или несколько интерфейсов слушателей кассовых событий.<br>
 * Аннотация срабатывает только внутри плагина, т.е внутри класса, помеченого как {@link POSPlugin}.
 * @since 0.0.38
 */
@Target(value = { ElementType.FIELD })
@Retention(value = RetentionPolicy.RUNTIME)
public @interface POSEventListener {
    //
}
