package ru.crystals.pos.spi.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * Аннотация для указания, что нужно передать плагину до его запуска. Конкретный способ передачи определятся кассой.
 * <b>На данный момент аннотация работает только для функциональных плагинов!</b>
 */
@Target({TYPE})
@Retention(RUNTIME)
public @interface TransferBeforeLaunch {
    /**
     * Тип передаваемой сущности
     */
    TransferType type();
}
