package ru.crystals.pos.spi.equipment;

import ru.crystals.pos.spi.Injectable;

/**
 * Банковский терминал.<br>
 * API для работы с банковскими терминалами подключенными к кассе.
 * В случае если терминал не подключен всегда {@code null}.
 * @since 0.0.61
 */
public interface SetApiBankTerminal extends Injectable {

    /**
     * Получить информацию о карте.
     * Данное действие подразумевает считывание карты терминалом.
     * Контроль перейдет к терминалу.
     * @return Информация о карте
     * @throws SetApiBankException в случае возникновения ошибок при работе с банком; {@link SetApiBankException#getMessage() текст}
     *      * содержит локализованное описание ошибки ("Операция отменена нажатием кнопки "Отмена"", "Терминал не отвечает", и проч.)
     * @since 0.0.60
     */
    BankCardInfo getBankCardInfo() throws SetApiBankException;
}
