package ru.crystals.pos.spi.plugin.card;

import java.math.BigDecimal;
import ru.crystals.pos.api.plugin.card.BonusWriteOffOperationResponse;
import ru.crystals.pos.spi.receipt.Card;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Через эту структуру возаращается результат списания бонусов как скидки в случае,
 * если метод списания вызывался асинхронно.
 * @see ru.crystals.pos.api.plugin.CardPlugin#writeOffAsync(Card, BigDecimal, Receipt, BonusWriteOffCallback)
 * @since 0.0.35
 */
public interface BonusWriteOffCallback {

    /**
     * Событие завершения списания бонусов.
     * @see ru.crystals.pos.api.plugin.CardPlugin#writeOffAsync(Card, BigDecimal, Receipt, BonusWriteOffCallback)
     * @param result результат списания бонусов
     */
    void onBonusWriteOffCompleted(BonusWriteOffOperationResponse result);
}
