package ru.crystals.pos.spi.plugin.card;

import ru.crystals.pos.spi.receipt.Card;

/**
 * Запрос информации по карте
 * @since 1.0.0
 */
public interface CardInfoRequest {
    /**
     * @return карту, предварительно найденную стандартным механизмом кассы
     * @apiNote передается только для плагинов с включенными настройками "card.config.card.info.search.card"
     * или "card.config.card.info.use.receipt" (когда карта есть в чеке)
     */
    Card getCard();

    /**
     * @return запрос на поиск карты
     */
    CardSearchRequest getCardSearchRequest();
}
