package ru.crystals.pos.spi.receipt;

/**
 * Интерфейс для получения информации о контрагенте
 */
public interface Counterparty {
    /**
     * @return GUID контрагента
     */
    String getGuid();

    /**
     * @return ИНН
     */
    String getInn();

    /**
     * @return КПП
     */
    String getKpp();

    /**
     * @return имя контрагента
     */
    String getName();

    /**
     * @return полное имя контрагента
     */
    String getFullName();

    /**
     * @return телефон контрагента
     */
    String getPhone();

    /**
     * @return номер контрагента из SAP
     */
    String getDebitorNumber();

    /**
     * @return тип контрагента
     */
    String getDebitorType();

    /**
     * @return юридический адрес контрагента
     */
    String getJuristicAddress();

    /**
     * @return физический адрес контрагента
     */
    String getPhysicalAddress();
}
