package ru.crystals.pos.spi.receipt;

import java.util.Date;

/**
 * Сущность, описывающая выданный купон в чеке
 * @since 0.0.100
 */
public interface IssuedCoupon {
    /**
     * @return значение штрихкода купона
     */
    default String getBarcode() {
        return null;
    }

    /**
     * @return название купона для покупателя
     */
    default String getNameForClient() {
        return null;
    }

    /**
     * @return дата активации купона
     */
    default Date getActivationDate() {
        return null;
    }

    /**
     * @return дата окончания действия купона
     */
    default Date getExpirationDate() {
        return null;
    }

    /**
     * @return наименование категории купона
     * @since 0.0.103
     */
    default String getCategoryName() {
        return null;
    }

    /**
     * @return guid рекламной акции, в рамках которой выдан купон
     * @since 0.0.103
     */
    default Long getAdvertisingActionGuid() {
        return null;
    }
}
