package ru.crystals.pos.spi.ui;

/**
 * Описание столбца в отображаемой таблице
 *
 * @see TableFormParameters
 */
public class TableFormColumn {
    /**
     * Заголовок столбца
     */
    private final String title;
    /**
     * Ключ, по которому будут получаться значения для этого столбца из Map
     */
    private final String key;
    /**
     * Ширина столбца (в процентах)
     */
    private final int width;

    public TableFormColumn(String title, String key, int width) {
        this.title = title;
        this.key = key;
        this.width = width;
    }

    public String getTitle() {
        return title;
    }

    public String getKey() {
        return key;
    }

    public int getWidth() {
        return width;
    }
}
