package ru.crystals.pos.spi.ui;

import java.util.List;

/**
 * Набор параметров для открытия формы с таблицей
 */
public class TableFormParameters {
    /**
     * Заголовок формы
     */
    private final String title;
    /**
     * Текст на кнопке
     */
    private final String buttonName;
    /**
     * Описание столбцов и их заголовков
     */
    private final List<TableFormColumn> columns;
    /**
     * Строки таблицы:
     * Каждая Map в списке - отдельная строка. Ключи каждого элемента Map должны быть из ключей, заданных в headers
     *
     * @see TableFormColumn#getKey()
     */
    private final List<TableFormRow> rows;

    public TableFormParameters(String title, String buttonName, List<TableFormColumn> columns, List<TableFormRow> rows) {
        this.title = title;
        this.buttonName = buttonName;
        this.columns = columns;
        this.rows = rows;
    }

    public String getTitle() {
        return title;
    }

    public String getButtonName() {
        return buttonName;
    }

    public List<TableFormColumn> getColumns() {
        return columns;
    }

    public List<TableFormRow> getRows() {
        return rows;
    }
}
