package ru.crystals.pos.spi.ui.webview;

import ru.crystals.pos.spi.IncorrectStateException;
import ru.crystals.pos.spi.Injectable;
import ru.crystals.pos.spi.plugin.ui.WebViewCallback;

/**
 * Интерфейс для взаимодействия с пользовательским интерфейсом кассы. Формы WebView.
 */
public interface UIWebViewForms extends Injectable {
    /**
     * Показать форму WebView
     *
     * @param parameters параметры открываемого WebView
     * @return callback для взаимодействия с открытым WebView
     * @throws IncorrectStateException      если невозможно отобразить форму в данный момент
     * @throws WebViewNotAvailableException если касса не поддерживает отображение WebView
     */
    WebViewCallback showWebView(ShowWebViewParameters parameters) throws IncorrectStateException, WebViewNotAvailableException;
}
